import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from '../../shared';
import { SalesQuotationFileImportContainerModel } from '../../../../../../models/aggregates/erp/sales-quotation-file-import/index';
export declare class SalesQuotationFileImportService extends BaseApiTemplateService<SalesQuotationFileImportContainerModel> {
    constructor(http: HttpClient);
    sampleCommaCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    samplePipeCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
}
